Package net.commoble.jumbofurnace

# Class JumboFurnaceUtils

java.lang.Object
net.commoble.jumbofurnace.JumboFurnaceUtils

public class JumboFurnaceUtils extends Object

## Constructor Summary

Constructors
Constructor
Description
`JumboFurnaceUtils()`

## Method Summary

Modifier and Type
Method
Description
`static net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler`
`copyItemHandler(net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler itemHandler)`
`static void`
`copyItemHandlerTo(net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler from, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler to)`
`static net.minecraft.world.item.ItemStack`
`extract(int slot, net.neoforged.neoforge.transfer.ResourceHandler<net.neoforged.neoforge.transfer.item.ItemResource> handler, int amount, net.neoforged.neoforge.transfer.transaction.TransactionContext context)`
`static net.minecraft.world.item.ItemStack`
`extractImmediate(int slot, net.neoforged.neoforge.transfer.ResourceHandler<net.neoforged.neoforge.transfer.item.ItemResource> handler, int amount)`
`static int`
`getJumboSmeltingBurnTime(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.block.entity.FuelValues fuelValues)`
`static net.minecraft.world.item.ItemStack`
`insertImmediate(int slot, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler handler, net.minecraft.world.item.ItemStack stack)`
`static net.minecraft.world.item.ItemStack`
`insertItemStacked(net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler handler, net.minecraft.world.item.ItemStack stack, @Nullable net.neoforged.neoforge.transfer.transaction.TransactionContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### JumboFurnaceUtils

public JumboFurnaceUtils()

## Method Details

### getJumboSmeltingBurnTime

public static int getJumboSmeltingBurnTime(net.minecraft.world.item.ItemStack stack, net.minecraft.world.level.block.entity.FuelValues fuelValues)

Parameters:
  `stack` - Itemstack to be used as fuel for a jumbo furnace.
Returns:
  If the itemstack provides a burn time specific to jumbo smelting, returns that. Otherwise, returns the burn time for vanilla furnace smelting.

### copyItemHandler

public static net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler copyItemHandler(net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler itemHandler)

### copyItemHandlerTo

public static void copyItemHandlerTo(net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler from, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler to)

### insertItemStacked

public static net.minecraft.world.item.ItemStack insertItemStacked(net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler handler, net.minecraft.world.item.ItemStack stack, @Nullable @Nullable net.neoforged.neoforge.transfer.transaction.TransactionContext context)

### extract

public static net.minecraft.world.item.ItemStack extract(int slot, net.neoforged.neoforge.transfer.ResourceHandler<net.neoforged.neoforge.transfer.item.ItemResource> handler, int amount, net.neoforged.neoforge.transfer.transaction.TransactionContext context)

### extractImmediate

public static net.minecraft.world.item.ItemStack extractImmediate(int slot, net.neoforged.neoforge.transfer.ResourceHandler<net.neoforged.neoforge.transfer.item.ItemResource> handler, int amount)

### insertImmediate

public static net.minecraft.world.item.ItemStack insertImmediate(int slot, net.neoforged.neoforge.transfer.item.ItemStacksResourceHandler handler, net.minecraft.world.item.ItemStack stack)